classification
Title: Clean up traces of manifest template in packaging
Type: Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, bruno.dupuis, eric.araujo, tarek
Priority: normal Keywords:

Created on 2011-09-03 15:07 by eric.araujo, last changed 2014-03-13 04:03 by eric.araujo. This issue is now closed.

Messages (4)
msg143462 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-09-03 15:07
With distutils2/packaging, extra files to be included in sdists are defined in setup.cfg, no more in a manifest template.  However, the Manifest class and the sdist command still have code to deal with manifest templates.  I propose to remove it.
msg176684 - (view) Author: Bruno Dupuis (bruno.dupuis) Date: 2012-11-30 12:14
Sounds easy even though there's quite a bit of lines to impact. I may do it, I just need a go.

Tarek? Éric? anyone?
msg176694 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-11-30 17:07
Packaging is removed from the stdlib, and distutils2 (the backport for Python 2.5-3.3) shares its uncertain future.  It would take too long to explain why that is here; I’m working on a blog post to do that and will give a link if you are interested.
msg176706 - (view) Author: Bruno Dupuis (bruno.dupuis) Date: 2012-11-30 19:46
Ok, thanks, Èric.
History
Date User Action Args
2014-03-13 04:03:34eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2012-11-30 19:46:32bruno.dupuissetmessages: + msg176706
2012-11-30 17:07:05eric.araujosetassignee: tarek -> eric.araujo
stage: needs patch -> (no value)
messages: + msg176694
versions: + 3rd party
2012-11-30 12:14:44bruno.dupuissetnosy: + bruno.dupuis

messages: + msg176684
versions: - 3rd party
2011-09-03 15:07:46eric.araujocreate